Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Public Attributes | Private Attributes | List of all members
SideArea Class Reference

`#include <OpenFlipper/widgets/coreWidget/SideArea.hh>`

Inheritance diagram for SideArea:

## Public Member Functions
| SideArea (QWidget *_parent=0)
void | addItem (QObject const *const _plugin, QWidget *_w, QString _name, QIcon *_icon=0, QWidget *_headerAreaWidget=0)
void | clear ()
| clears the whole tool widget area
void | expandAll ()
void | expand (QWidget *sideElementWidget, bool expand)
void | saveState (QSettings &_settings)
| returns the current state
void | saveViewModeState (const QString &_viewMode)
| saves the active state of _viewMode
void | restoreState (QSettings &_settings)
| restores the state
void | restoreViewModeState (const QString &_viewMode)
| restores the active state of _viewMode
void | setElementActive (QString _name, bool _active)
| set the active state of given element
void | moveItemToPosition (const QString &_name, int _position)
| Move a toolbox widget to a given position.
void | moveItemToPosition (QObject const *const _plugin, const QString &_name, int _position)
| Move a toolbox widget to a given position.
int | getNumberOfWidgets () const
| Get number of widgets.
const QList< const QObject * > & | plugins ()
| Get plugins in side area.
const QStringList & | names ()
| Get item names.

## Public Attributes
int | lastPos_

## Private Attributes
QVector< SideElement * > | items_
QList< const QObject * > | plugins_
QStringList | itemNames_
QMap< QString, bool > | sideElementState_
QVBoxLayout * | layout_

## Detailed Description

A widget that holds the different plugin tool widgets

Definition at line 80 of file SideArea.hh.

## Constructor & Destructor Documentation

SideArea::SideArea | ( | QWidget * | _parent = `0` | ) |

Create a SideElement

Parameters

  _parent | Parent widget

Definition at line 60 of file SideArea.cc.

## Member Function Documentation

void SideArea::addItem | ( | QObject const *const | _plugin,
|  | QWidget * | _w,
|  | QString | _name,
|  | QIcon * | _icon = `0`,
|  | QWidget * | _headerAreaWidget = `0`
| ) |  |

Adds a plugin tool widget

Parameters

  _plugin | plugin corresponding to the widget
  _w | Plugin widget
  _name | Plugin name
  _icon | an icon
  _headerAreaWidget |

Definition at line 78 of file SideArea.cc.

The documentation for this class was generated from the following files:

- OpenFlipper/widgets/coreWidget/SideArea.hh
- OpenFlipper/widgets/coreWidget/SideArea.cc